Package io.flutter.embedding.engine.renderer

## Class FlutterRenderer.DisplayFeature

- java.lang.Object
- - io.flutter.embedding.engine.renderer.FlutterRenderer.DisplayFeature

- Enclosing class:
    FlutterRenderer

      public static final class FlutterRenderer.DisplayFeature
      extends Object

  Description of a physical feature on the display.

  A display feature is a distinctive physical attribute located within the display panel of the device. It can intrude into the application window space and create a visual distortion, visual or touch discontinuity, make some area invisible or create a logical divider or separation in the screen space.

  Based on `DisplayFeature`, with added support for cutouts.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Rect` | `bounds` |
    `FlutterRenderer.DisplayFeatureState` | `state` |
    `FlutterRenderer.DisplayFeatureType` | `type` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DisplayFeature​(Rect bounds, FlutterRenderer.DisplayFeatureType type)` |
    `DisplayFeature​(Rect bounds, FlutterRenderer.DisplayFeatureType type, FlutterRenderer.DisplayFeatureState state)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bounds

          public final Rect bounds

    - #### type

          public final FlutterRenderer.DisplayFeatureType type

    - #### state

          public final FlutterRenderer.DisplayFeatureState state

  - ### Constructor Detail

    - #### DisplayFeature

          public DisplayFeature​(Rect bounds,
                                FlutterRenderer.DisplayFeatureType type,
                                FlutterRenderer.DisplayFeatureState state)

    - #### DisplayFeature

          public DisplayFeature​(Rect bounds,
                                FlutterRenderer.DisplayFeatureType type)